API ReferenceMessage Template
Retrieves a MessageTemplate resource
GET
Retrieves a MessageTemplate resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringMessageTemplate identifier
MessageTemplate resource
- response
createdBy?|nullupdatedBy?|nullcreatedAt?stringFormat
date-timeupdatedAt?stringFormat
date-timeticketFiles?array<>id?stringFormat
uuidname?stringLength
length <= 100content?stringLength
1 <= length <= 100000curl -X GET 'https://app.icproject.com/api/instance/demo/ticket/message-templates/string'Example Response
{ "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string" }, "updatedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "ticketFiles": [ { "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string" }, "path": "string", "previewImageUrl": "string", "type": "ticket-message", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayedName": "string", "extension": "string", "size": 0, "source": "internal", "createdAt": "2019-08-24T14:15:22Z" } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "content": "string"}